///@file archive.hh
///A wrapper class to support serialization of objects.
///The default implementation uses a file stream to
///write binary data to and from files.  The Eyebot implementation
///uses the HDT for serialization.
///@author Joshua Petitt (petitj01@tartarus.uwa.edu.au)
///@date 2003

#ifndef ARCHIVE_HH
#define ARCHIVE_HH

namespace EyeMind{

class Archive
{
private:
protected:
public:
	Archive();
	~Archive();

	#ifdef EYEBOT

	// Get pointer to data structure in HDT
	void* Get(int i,int j)
	{
		return 0;
	}

	// Write out to serial port
	void Put(void* d, int s)
	{

	}


	#endif

};

};

#endif //ARCHIVE_HH

